/****************************************************************************
 ** This file is part of the MAIA (Malagasy Artificial Intelligence Art) Open Project V2.0.
 **
 ** Copyright (C) 2012 ANDRIAMILAMINA Monge.
 ** All rights reserved.
 **
 ** License: GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007.
 ** Author:  ANDRIAMILAMINA Monge.
 ** Contact: mongemilamina@gmail.com / +261 32 04 309 92.
 ** Year:    2012.
 ** Status:  Student in ISGEI, Madagasikara, Antananarivo.
 ** Domain:  Automatic.
 **
 ** Commercial Usage
 ** Please contact MAIA.
 **
 ** GNU General Public License Usage
 ** This file may be used under the terms of the GNU
 ** General Public License version 3.0 as published by the Free Software
 ** Foundation and appearing in the file LICENSE.GPL included in the
 ** packaging of this file.  Please review the following information to
 ** ensure the GNU General Public License version 3.0 requirements will be
 ** met: http://www.gnu.org/copyleft/gpl.html.
 **
 ** If you have questions regarding the use of this file, please contact
 ** the Author.
 **
 ****************************************************************************/

#ifndef PICCLASS_H
#define PICCLASS_H

#include <QMainWindow>
#include <QLabel>
#include <QPixmap>
#include <QString>
#include <QAction>
#include <QLabel>
#include <QTabWidget>
#include <QTextEdit>

namespace Ui {
    class PicClass;
}

class PicClass : public QMainWindow {
    Q_OBJECT
public:
    PicClass(QWidget *parent = 0);
    ~PicClass();
public slots:
    void browse_16F877A();
    void browse_16F84A();

    void autreReg16F877A(QString nomRegRecu);
    void autreReg16F84A(QString nomRegRecu);

    void aboutAndHelp();

private slots:
    void closeEvent(QCloseEvent *ev);
protected:
    void changeEvent(QEvent *e);

private:
    Ui::PicClass *ui;
    QLabel* CONFIG_REG_label;
    QLabel* myUrlLabel;
    QLabel* mailLabel;
    QPixmap* pixConfig;
    QAction* myActionQuit;
    QAction* myActionAboutAndHelp;
    QTabWidget* myTabWidget;
    QTextEdit* myAboutText;
    QTextEdit* myHelpText;
};

#endif // PICCLASS_H
